require "scripts/style"

DialogHeaderFont = {
  standardFont,
  24,
  WhiteColor
};


SetState( kPause, true );

MakeDialog
{
	name = "changedfocuswindow",
	Bitmap{
		image="backgrounds/dark",
		x=kCenter,
		y=kCenter,
		alpha=true
	},

    Bitmap
    {
		image="ui/main_menu/dialog/back",
		x=kCenter,
		y=kCenter,

		SetStyle(ButtonStyle);
	        Button
	        {
		    --font = StandardButtonFont,
		    graphics = {"ui/main_menu/dialog/close_in","ui/main_menu/dialog/close_ac","ui/main_menu/dialog/close_ac"},
	            label = "ok",
	            name = "ok",	
	            x = kCenter,
	            y = kMax-90,
		command = function()
			SetState( kPause, false );
			WindowFocused(true);
			PopModal("changedfocuswindow");
		end;
	        },

--		SetStyle(CloseButtonStyle);
--		Button
--		{
--			x=kCenter+153,y=13,
--			name="closebutton",
--			cancel=true,
--			command = function() 
--				PopModal("changedfocuswindow");
--			end;
--		};

--        	Text
--		{
--			font = DialogHeaderFont,
--			name = "changedfocusheader",
--			x=0,y=9,w=kMax,h=30,
--			flags = kHAlignCenter + kVAlignTop,
--			label= "changedfocusheader",
--		};

		Text
		{
			font = DialogBodyFont,
			name = "changedfocusbody",
			x=12,y=46,
			w=kMax-12,h=kMax-70,
			flags = kVAlignCenter + kHAlignCenter,
			label= "changedfocusbody",
		};
    },

} -- MakeDialog